self.addEventListener('install', function(event) {
    event.waitUntil(
        caches.open('my-cache').then(function(cache) {
            return cache.addAll([
                '/',
                '/index.html',
                '/assets/css/style.css',
                '/assets/css/bootstrap.css',
                '/assets/css/swiper.css',
                '/assets/css/nice-select.css',
                '/assets/img/logo.png',
                '/assets/img/hero-1.png',
                '/assets/img/hero-2.png',
                '/assets/img/hero-3.png',
                '/assets/img/hero-4.png',
                '/assets/img/hero-5.png',
                '/assets/img/hero-6.png',
                '/assets/img/hero-7.png',
                '/assets/img/hero-8.png',
                '/assets/img/hero-9.png',
                '/assets.img/welcome-slid1.png',
                '/assets.img/welcome-slid2.png',
                '/assets.img/welcome-slid3.png',
                "/login.html",
                "/singin.html",
                "/singup.html",
                "/account-setup.html",
                "/account-setup2.html",
                "/account-setup3.html",
                "/account-setup4.html",
                "/account-setup5.html",
                "/account-setup6.html",
                "/account-setup7.html",
                "/account-setup8.html",
                "/account-setup9.html",
                "/home.html",
                "/love.html",
                "/user-details.html",
                "/matching.html",
                "/notification.html",
                "/chat-list.html",
                "/message.html",
                "/audio-call.html",
                "/video-call.html",
                "/account.html",
                "/edit-account.html",
                "/assets/js/jquery.min.js",
                "/assets/js/main.js",
                "/assets/js/bootstrap.min.js",
                "/assets/js/swipe.js",
                "/assets/js/calendar.js",
                "/assets/js/nice-select.min.js"
                 // Add all your app's assets here
            ]);
        })
    );
});

self.addEventListener('fetch', function(event) {
    event.respondWith(
        caches.match(event.request).then(function(response) {
            return response || fetch(event.request);
        })
    );
});
